[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.SetCapacity

Set the capacity of the list

## Declaration

Source position: classesh.inc line 1831

`procedure IInterfaceList.SetCapacity(`
`NewCapacity: Integer`
`);`

## Description

SetCapacity sets the capacity of the list to NewCapacity. It serves as the Write method for the Capacity property.

## See also

IInterfaceList.Capacity |  | Capacity of the list
TList.Capacity |  | Current capacity (i.e. number of pointers that can be stored) of the list.

Documentation generated on: Feb 26 2014